设为首页收藏本站

自学it网-公益PHP培训!

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 42053|回复: 104

[经验谈] wamp环境 搭建 详细 教程   [复制链接]

Rank: 2

发表于 2012-11-6 22:25:24 |显示全部楼层
本帖最后由 燕十八 于 2013-1-20 23:43 编辑

wamp环境搭建详细视频教程 + 资源
喜欢php的同学加 【燕十八-PHP公益④群】 129720231
看见大家都在使用像 wampServer,AppServ,Xampp 这样的“一键环境”工具包。“一下这类工具简称一键环境工具包”
首先郑重声明一下,我并没有排斥之中“一键环境”工具包的意思。
这类工具确实可以让刚刚接触PHP的同学,不至于被堵在门外。(当时我学PHP的时候是自学的,不知道有这种工具,光装个wamp环境就花了3个多小时,我差点都放弃了)
所以说“一键环境工具包”使的PHP更加有亲和力。学习的门槛大大下降,不可否认一键环境工具包是lamp发扬广大的一支不可或缺重要的生力军。
优点:
1,一按键安装即可使用
2,集成一些常用工具像phpmyadmin之类的工具,体积也很小
3,使用简单,一键启动/关闭
但是这只适合新手刚刚接触PHP是的入门工具。作为PHP入门后的 同学来说,就不应该 继续使用这类工具了。
缺点,原因罗列为以下几点:
1:一些默认配置,导致学习中,出现莫名其妙的错误。比如说,mysql默认没有密码,有些数据库工具,没有密码的数据库试连不上的。
2:对于lamp的目录结构安排的不太符合常规。新手不知道的话,还认为,lamp的环境结构,就应该是这样,等换一个别的环境就懵了。
3:不利与我们学好/学精lamp这种技术。
因为,不知道lamp的目录结构,不知道他的核心程序,扩展模块,模式设置,权限设置,虚拟目录,路由设置,缓存设置,乃至更高级的配置等等,是不利与我们掌握好lamp的。
4:更换升级不便,如果,我只像升级php的版本,或mysql的版本。。就无能为力了。比如以后我们可能还要学习Nginx啊就是lnmp结构,有些公司可能会使用非mysql类数据库,那么,就没有这种一键环境,我们还是要学习这种换环境的搭建。

还有很多就不一一罗列了。总之已计划,想学好lamp而不会配置自己的lamp是绝对不行的。
好了,废话也说完了,进入正题,竟然是wamp结构,那么我们就应该有这些软件,否则。就没得好说了。(前面都是废话,可以直奔主题)
软件一:apache_2.2.14-win32-x86-no_ssl.msi
软件二:mysql-5.5.20-win32.msi
软件三:php-5.3.2-Win32-VC6-x86.zip软件四:phpMyAdmin-3.5.3-all-languages.7z
以上软件,我打成包放在资源共享版块,供大家下载。
我一共将 其罗列为 一下几步
1:建立基本目录结构
2:安装并设置Apache
    将Apache安装到 wamp 目录中
    测试Apache是否安装成功
3:将PHP以模块的形式加载到Apache中
    将PHP解压都指定目录中
    选取,并更名php.ini配置文件
    LoadModule php5_module "D:/xxx/xxx/php5apache.dll"
    PHPiniDir "D:/xxx/xxx"
    AddType application/x-httpd-php .php .phtml
    测试PHP是否安装成功-通过phpinfo();函数
    适当修改,一些小的配置,例如时区
4:安装MySQL
    将MySQL程序文件装入指定目录中
    将MySQL数据文件装入指定目录中
5:配置php连接MySQL
       在php.ini中开启MySQL以及其他模块
       复制关键文件到System32目录下
至此,全部过程完成
还可以安装
    phpmyadmin之类的程序以下为资源下载地址:
视频地址:http://pan.baidu.com/share/link?shareid=115296&uk=237228145
wamp一套下载地址:http://pan.baidu.com/share/link?shareid=115295&uk=237228145

视频教程:
http://www.tudou.com/v/lpXgVEnn-A8/&rpid=116873203&resourceId=116873203_04_05_99/v.swf






已有 1 人评分金钱 收起 理由
yanshiba + 10 很给力!

总评分: 金钱 + 10   查看全部评分

使用道具 举报

Rank: 7Rank: 7Rank: 7

发表于 2012-11-8 01:05:21 |显示全部楼层
手打教程啊,这么好的帖子。:loveliness:

使用道具 举报

Rank: 7Rank: 7Rank: 7

发表于 2012-11-8 01:06:09 |显示全部楼层
把加QQ群信息改成 3群 139802274 ;P

使用道具 举报

Rank: 7Rank: 7Rank: 7

发表于 2012-11-8 01:06:25 |显示全部楼层
因为2群满了。。

使用道具 举报

Rank: 2

发表于 2012-11-8 20:31:21 |显示全部楼层
besile 发表于 2012-11-8 01:06
把加QQ群信息改成 3群 139802274

好的

使用道具 举报

Rank: 2

发表于 2012-11-11 22:39:47 |显示全部楼层
源老师,需要GVIM 工具......整合包很给力!!!!

使用道具 举报

Rank: 2

发表于 2012-11-12 21:16:36 |显示全部楼层
能者多劳 发表于 2012-11-11 22:39
源老师,需要GVIM 工具......整合包很给力!!!!

多谢支持!如果,支持的人数超过 10 个人 就出 vim 的教程。
希望你 学习愉快

使用道具 举报

Rank: 6Rank: 6

发表于 2012-11-13 17:36:38 |显示全部楼层
复制了,晚上安装!哈哈......

使用道具 举报

Rank: 2

发表于 2012-11-14 15:44:11 |显示全部楼层
支持这个教程 还有那个gvim的,  但是最后没 apache提示 那个php_zip 模块布存在如何解决呢?

使用道具 举报

Rank: 2

发表于 2012-11-14 17:00:42 |显示全部楼层
13867685 发表于 2012-11-14 15:44
支持这个教程 还有那个gvim的,  但是最后没 apache提示 那个php_zip 模块布存在如何解决呢? ...

其实 php_zip 模块是有的 它提示 没有找到 php_zip 但是 apache 确实已经加载到了 php_zip模块
因为 php_zip 可以正常使用,而且 phpinfo() 函数 检查 php 状态时 ,是可以看见php_zip 已经正常开启了。
之所以出现这样的提示,个人感觉。可能是应为 apache 的检测代码 出现错误。
我们应该以事实为准。php_zip模块可以正常使用 就 行了,不用管那么多!
如果 你觉得 每次启动 apache 是 总是 弹出 提示框很烦 你可以 不启用 php_zip 模块。基本普通项目用不大那个东西!
实在不行 我再 重新 找一套 正常的 软件!

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

Archiver|自学it网 ( 京ICP备12009156号 )  

GMT+8, 2017-4-27 13:21 , Processed in 0.038584 second(s), 6 queries , Memcache On.

Powered by Discuz! X2

© 2001-2011 Comsenz Inc.

回顶部